import request from '@/utils/request'
import { parseStrEmpty } from "@/utils/ruoyi";

// 查询研发打卡日志列表
export function listRecord(query) {
  return request({
    url: '/api/project/listRecord',
    method: 'get',
    params: query
  })
}

// 批量审核
export function batchExamineRecord(data) {
  return request({
    url: '/api/project/batchExamineRecord',
    method: 'post',
    data: data
  })
}

// 导入考勤数据
export function importUserClock(data) {
  return request({
    url: '/system/user/importUserClock',
    method: 'post',
    data: data
  })
}

// 用户打卡数据列表
export function selectUserClock(query) {
  return request({
    url: '/system/user/selectUserClock',
    method: 'get',
    params: query
  })
}

// 批量更新考勤数据
export function updateAllUserClock(query) {
  return request({
    url: '/system/user/updateAllUserClock',
    method: 'post',
    params: query
  })
}

// 打卡数据匹配 (匹配工时)
export function mateUserRecord(query) {
  return request({
    url: '/api/project/mateUserRecord',
    method: 'post',
    params: query
  })
}

//  考勤数据合并（核对）
export function userRecordMerge(data) {
  return request({
    url: '/system/user/userRecordMerge',
    method: 'post',
    data: data
  })
}

// 修改单条考勤核对数据
export function updateUserRecord(data) {
  return request({
    url: '/system/user/updateUserRecord',
    method: 'post',
    data: data
  })
}

// 多打卡数据列表
export function UserClockDetails(query) {
  return request({
    url: '/system/user/UserClockDetails',
    method: 'get',
    params: query
  })
}

// 修改考勤对应多打卡
export function updateUserClockDetails(data) {
  return request({
    url: '/system/user/updateUserClockDetails',
    method: 'post',
    data: data
  })
}